package dev.ulfrx.recipe.ui.keyboard

import androidx.compose.runtime.Composable
import androidx.compose.ui.unit.Dp

internal data class KeyboardTransitionState(
    val currentInset: Dp,
    val targetInset: Dp,
    val animationDurationMillis: Int,
)

@Composable
internal expect fun rememberKeyboardTransitionState(): KeyboardTransitionState
